#include "../sccshead/sfile.h"
#include "../sccshead/sint.h"

char dohead__[] "~|^`dohead.c:	3.1";
/*
	Routine to process the module header. All that's necessary is
	to slide it into the packet.
*/

dohead(pkt)
register struct Packet *pkt;
{
	register struct Header *hdr;

	if(rdrec(pkt) == 1) fatal("premature eof (58)");
	hdr = pkt->Pibuf.Irecptr;
	if(hdr->Hmagicno != MAGICNO) fatal("not an SCCS file (53)");
	move(hdr,&pkt->Phdr,sizeof(*hdr));
}
